@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  crocus startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and CROCUS_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\crocus-0.1.jar;%APP_HOME%\lib\astyanax-1.56.49.jar;%APP_HOME%\lib\astyanax-queue-1.56.49.jar;%APP_HOME%\lib\astyanax-examples-1.56.49.jar;%APP_HOME%\lib\astyanax-thrift-1.56.49.jar;%APP_HOME%\lib\astyanax-entity-mapper-1.56.49.jar;%APP_HOME%\lib\astyanax-recipes-1.56.49.jar;%APP_HOME%\lib\astyanax-contrib-1.56.49.jar;%APP_HOME%\lib\astyanax-cassandra-1.56.49.jar;%APP_HOME%\lib\cassandra-all-1.2.11.jar;%APP_HOME%\lib\cassandra-thrift-1.2.11.jar;%APP_HOME%\lib\libthrift-0.9.1.jar;%APP_HOME%\lib\amqp-client-2.8.7.jar;%APP_HOME%\lib\cormorant-1.3-SNAPSHOT.jar;%APP_HOME%\lib\jetty-servlet-8.1.14.v20131031.jar;%APP_HOME%\lib\jetty-security-8.1.14.v20131031.jar;%APP_HOME%\lib\jetty-server-8.1.14.v20131031.jar;%APP_HOME%\lib\jetty-websocket-8.1.14.v20131031.jar;%APP_HOME%\lib\astyanax-core-1.56.49.jar;%APP_HOME%\lib\eureka-client-1.1.110.jar;%APP_HOME%\lib\archaius-core-0.5.12.jar;%APP_HOME%\lib\fissuresUtil-1.1.11-SNAPSHOT.jar;%APP_HOME%\lib\TauP-2.4.5.jar;%APP_HOME%\lib\seisFile-1.8.0.jar;%APP_HOME%\lib\hibernate-ehcache-3.6.9.Final.jar;%APP_HOME%\lib\hibernate-c3p0-3.6.9.Final.jar;%APP_HOME%\lib\hibernate-core-3.6.9.Final.jar;%APP_HOME%\lib\avro-1.4.0-cassandra-1.jar;%APP_HOME%\lib\metrics-core-2.2.0.jar;%APP_HOME%\lib\servo-core-0.4.36.jar;%APP_HOME%\lib\fissuresImpl-1.1.22.jar;%APP_HOME%\lib\fissuresIDL-1.0_getset_p2.jar;%APP_HOME%\lib\slf4j-log4j12-1.7.21.jar;%APP_HOME%\lib\ehcache-core-2.4.3.jar;%APP_HOME%\lib\hibernate-commons-annotations-3.2.0.Final.jar;%APP_HOME%\lib\slf4j-api-1.7.21.jar;%APP_HOME%\lib\commons-lang3-3.1.jar;%APP_HOME%\lib\jersey-apache-client4-1.8.jar;%APP_HOME%\lib\httpclient-4.5.3.jar;%APP_HOME%\lib\httpcore-4.4.6.jar;%APP_HOME%\lib\uuid-3.2.jar;%APP_HOME%\lib\commons-codec-1.9.jar;%APP_HOME%\lib\concurrentlinkedhashmap-lru-1.3.jar;%APP_HOME%\lib\joda-time-1.6.2.jar;%APP_HOME%\lib\guava-14.0.1.jar;%APP_HOME%\lib\jackson-mapper-asl-1.9.11.jar;%APP_HOME%\lib\high-scale-lib-1.1.2.jar;%APP_HOME%\lib\snappy-java-1.0.5.jar;%APP_HOME%\lib\velocity-1.7.jar;%APP_HOME%\lib\commons-configuration-1.8.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\jackson-core-asl-1.9.11.jar;%APP_HOME%\lib\jettison-1.2.jar;%APP_HOME%\lib\commons-net-2.2.jar;%APP_HOME%\lib\javax.servlet-3.0.0.v201112011016.jar;%APP_HOME%\lib\jetty-continuation-8.1.14.v20131031.jar;%APP_HOME%\lib\jetty-http-8.1.14.v20131031.jar;%APP_HOME%\lib\jetty-io-8.1.14.v20131031.jar;%APP_HOME%\lib\jetty-util-8.1.14.v20131031.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\netty-3.6.6.Final.jar;%APP_HOME%\lib\org.apache.servicemix.bundles.commons-csv-1.0-r706900_3.jar;%APP_HOME%\lib\persistence-api-1.0.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\oregondsp-2011.jar;%APP_HOME%\lib\javassist-3.12.1.GA.jar;%APP_HOME%\lib\isti.util-20120201.jar;%APP_HOME%\lib\hsqldb-1.8.0.10.jar;%APP_HOME%\lib\postgresql-9.4-1201-jdbc41.jar;%APP_HOME%\lib\mysql-connector-java-5.1.39.jar;%APP_HOME%\lib\xercesImpl-2.10.0.jar;%APP_HOME%\lib\xalan-2.7.1.jar;%APP_HOME%\lib\openmap-4.6.2.jar;%APP_HOME%\lib\openpdf-1.0.1.jar;%APP_HOME%\lib\jcommon-1.0.0.jar;%APP_HOME%\lib\jfreechart-1.0.1.jar;%APP_HOME%\lib\javamail-1.3.2.jar;%APP_HOME%\lib\activation-1.0.2.jar;%APP_HOME%\lib\lz4-1.1.0.jar;%APP_HOME%\lib\compress-lzf-0.8.4.jar;%APP_HOME%\lib\commons-cli-1.1.jar;%APP_HOME%\lib\antlr-3.2.jar;%APP_HOME%\lib\jline-1.0.jar;%APP_HOME%\lib\json-simple-1.1.jar;%APP_HOME%\lib\snakeyaml-1.6.jar;%APP_HOME%\lib\snaptree-0.1.jar;%APP_HOME%\lib\jbcrypt-0.3m.jar;%APP_HOME%\lib\log4j-1.2.17.jar;%APP_HOME%\lib\jamm-0.2.5.jar;%APP_HOME%\lib\jersey-bundle-1.9.1.jar;%APP_HOME%\lib\jsr311-api-1.1.1.jar;%APP_HOME%\lib\xstream-1.4.2.jar;%APP_HOME%\lib\annotations-2.0.0.jar;%APP_HOME%\lib\seedCodec-1.0.11.jar;%APP_HOME%\lib\jsap-2.1.jar;%APP_HOME%\lib\rxtx-2.1.7.jar;%APP_HOME%\lib\woodstox-core-lgpl-4.4.1.jar;%APP_HOME%\lib\msv-core-2013.6.1.jar;%APP_HOME%\lib\antlr-runtime-3.2.jar;%APP_HOME%\lib\stringtemplate-3.2.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\commons-collections-3.2.1.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\hibernate-jpa-2.0-api-1.0.1.Final.jar;%APP_HOME%\lib\jta-1.1.jar;%APP_HOME%\lib\isti.util.toplevel-1.0USC.jar;%APP_HOME%\lib\jdom-b9.jar;%APP_HOME%\lib\xml-apis-2.10.0.jar;%APP_HOME%\lib\xml-resolver-1.2.jar;%APP_HOME%\lib\serializer-2.10.0.jar;%APP_HOME%\lib\serializer-2.7.1.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.56.jar;%APP_HOME%\lib\bcprov-jdk15on-1.56.jar;%APP_HOME%\lib\assertj-core-3.6.1.jar;%APP_HOME%\lib\c3p0-0.9.1.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar;%APP_HOME%\lib\xpp3_min-1.1.4c.jar;%APP_HOME%\lib\jersey-client-1.8.jar;%APP_HOME%\lib\jacorb-2.3.1_USC2.jar;%APP_HOME%\lib\backport-util-concurrent-2.3.1.jar;%APP_HOME%\lib\stax-api-1.0-2.jar;%APP_HOME%\lib\stax2-api-3.1.4.jar;%APP_HOME%\lib\xsdlib-2013.6.1.jar;%APP_HOME%\lib\isorelax-20090621.jar;%APP_HOME%\lib\jersey-core-1.8.jar;%APP_HOME%\lib\relaxngDatatype-20020414.jar

@rem Execute crocus
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %CROCUS_OPTS%  -classpath "%CLASSPATH%" edu.sc.seis.crocus.SeedLinkImport %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable CROCUS_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%CROCUS_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
